restinio::easy_parser::result_value_wrapper< std::map< K, V, Args... > > Struct Template Reference

`#include <easy_parser.hpp>`

## Public Types

using | result_type = std::map< K, V, Args... >
using | value_type = std::pair< K, V >
using | wrapped_type = result_type

## Static Public Member Functions

static void | as_result (wrapped_type &to, result_type &&what)
static void | to_container (wrapped_type &to, value_type &&what)
static RESTINIO_NODISCARD result_type && | unwrap_value (wrapped_type &v)

## Detailed Description

template<typename K, typename V, typename... Args>
struct restinio::easy_parser::result_value_wrapper< std::map< K, V, Args... > >

Definition at line 400 of file easy_parser.hpp.

## Member Typedef Documentation

## result_type

template<typename K , typename V , typename... Args>

using restinio::easy_parser::result_value_wrapper< std::map< K, V, Args... > >::result_type = std::map< K, V, Args... >

Definition at line 402 of file easy_parser.hpp.

## value_type

template<typename K , typename V , typename... Args>

using restinio::easy_parser::result_value_wrapper< std::map< K, V, Args... > >::value_type = std::pair<K, V>

Definition at line 406 of file easy_parser.hpp.

## wrapped_type

template<typename K , typename V , typename... Args>

using restinio::easy_parser::result_value_wrapper< std::map< K, V, Args... > >::wrapped_type = result_type

Definition at line 407 of file easy_parser.hpp.

## Member Function Documentation

## as_result()

template<typename K , typename V , typename... Args>

static void restinio::easy_parser::result_value_wrapper< std::map< K, V, Args... > >::as_result | ( | wrapped_type & | to,
|  | result_type && | what
| ) |  |

inlinestatic

Definition at line 410 of file easy_parser.hpp.

## to_container()

template<typename K , typename V , typename... Args>

static void restinio::easy_parser::result_value_wrapper< std::map< K, V, Args... > >::to_container | ( | wrapped_type & | to,
|  | value_type && | what
| ) |  |

inlinestatic

Definition at line 416 of file easy_parser.hpp.

## unwrap_value()

template<typename K , typename V , typename... Args>

static RESTINIO_NODISCARD result_type && restinio::easy_parser::result_value_wrapper< std::map< K, V, Args... > >::unwrap_value | ( | wrapped_type & | v | ) |

inlinestatic

Definition at line 423 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp